summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-11-01 22:36:11 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-11-01 22:36:11 (EDT)
commit9ea18106615fb71a7e79819e62ec7241b22919c7 (patch)
treedfc1fcae4acd239576d2d02d78e4bfd6efd403fa /autogen.sh
parenta03bb05aea182a786a262e42e4bce49b1781dc59 (diff)
downloadoverworld-rpg-9ea18106615fb71a7e79819e62ec7241b22919c7.zip
overworld-rpg-9ea18106615fb71a7e79819e62ec7241b22919c7.tar.gz
overworld-rpg-9ea18106615fb71a7e79819e62ec7241b22919c7.tar.bz2
autogen.sh: New file.
Diffstat (limited to 'autogen.sh')
-rw-r--r--autogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100644
index 0000000..2a01086
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+srcdir="${0%/*}"
+
+{(
+ cd "${srcdir}"
+ [ -d build-aux ] || mkdir build-aux
+ aclocal
+ autoconf
+ autoheader
+ automake --add-missing --copy
+)}
+
+"${srcdir}/configure" "${@}"